commit bfc7f358146acc8a001abe15f0061de64e0ebac5
Author: Cui,Lili <lili.cui@intel.com>
Date:   Fri Nov 13 14:20:31 2020 +0800

    Put PREFETCHW back to march=broadwell
    
    PREFETCHW should be both in march=broadwell and march=silvermont.
    I move PREFETCHW from march=broadwell to march=silvermont in previous
    patch.
    
    gcc/ChangeLog:
    
            * config/i386/i386.h: Add PREFETCHW to march=broadwell.
            * doc/invoke.texi: Put PREFETCHW back to relation arch.

diff --git a/gcc/config/i386/i386.h b/gcc/config/i386/i386.h
index 217f0a3bc30..803a8f30bc3 100644
--- a/gcc/config/i386/i386.h
+++ b/gcc/config/i386/i386.h
@@ -2450,7 +2450,8 @@ const wide_int_bitmask PTA_IVYBRIDGE = PTA_SANDYBRIDGE | PTA_FSGSBASE
   | PTA_RDRND | PTA_F16C;
 const wide_int_bitmask PTA_HASWELL = PTA_IVYBRIDGE | PTA_AVX2 | PTA_BMI
   | PTA_BMI2 | PTA_LZCNT | PTA_FMA | PTA_MOVBE | PTA_HLE;
-const wide_int_bitmask PTA_BROADWELL = PTA_HASWELL | PTA_ADX | PTA_RDSEED;
+const wide_int_bitmask PTA_BROADWELL = PTA_HASWELL | PTA_ADX | PTA_RDSEED
+  | PTA_PRFCHW;
 const wide_int_bitmask PTA_SKYLAKE = PTA_BROADWELL | PTA_AES | PTA_CLFLUSHOPT
   | PTA_XSAVEC | PTA_XSAVES | PTA_SGX;
 const wide_int_bitmask PTA_SKYLAKE_AVX512 = PTA_SKYLAKE | PTA_AVX512F
